Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ResourceMissingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jasig.portal.PortalException
                  org.jasig.portal.ResourceMissingException

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceMissingException

extends PortalException

This exception would inform uPortal that a particular resource required to complete channel operation is missing.

Version:
  $Revision: 1.7 $ $Date: 2005/03/07 20:08:58 $
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `description` Description of the missing resource.
`private java.lang.String` | `resourceURI` URI of the missing resource

Fields inherited from class org.jasig.portal.PortalException
`errorID, logPending, parameter, refreshable, reinstantiable, timestamp`

Constructor Summary
`ResourceMissingException()` Deprecated. use a more informative constructor
`ResourceMissingException(java.lang.String resourceURI, java.lang.String resourceDescription, java.lang.String msg)` Instantiate a ResourceMissingException providing the URI of the missing resource, a description of the missing resource, and a message.
`ResourceMissingException(java.lang.String resourceURI, java.lang.String resourceDescription, java.lang.String msg, boolean refresh, boolean reinstantiate)` Instantiate a ResourceMissingException providing a URI of the missing resource, a description of the missing resource, a message, and indicating whether channel refresh and channel reinstantiation are appropriate responses to the error condition.
`ResourceMissingException(java.lang.String resourceUri, java.lang.String description, java.lang.String message, java.lang.Throwable cause)` Instantiate a ResourceMissingException providing the URI of the missing resource, a description of the missing resource, a message, and an underlying cause.
`ResourceMissingException(java.lang.String resourceURI, java.lang.String resourceDescription, java.lang.Throwable cause)` Instantiate a ResourceMissingException providing the URI of the missing resource, a description of the missing resource, and a cause.

Method Summary
`java.lang.String` | `getResourceDescription()` Get a description of the missing resource.
`java.lang.String` | `getResourceURI()` Get the URI of the missing resource.

Methods inherited from class org.jasig.portal.PortalException
`allowRefresh, allowReinstantiation, getErrorID, getParameter, getRecordedException, getTimestamp, isLogPending, isRefreshable, isReinstantiable, setErrorID, setLogPending, setParameter, setRecordedException, setRefreshable, setReinstantiable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resourceURI

    private java.lang.String resourceURI

  URI of the missing resource

### description

    private java.lang.String description

  Description of the missing resource.

Constructor Detail

### ResourceMissingException

    public ResourceMissingException(java.lang.String resourceURI,
                                    java.lang.String resourceDescription,
                                    java.lang.String msg)

  Instantiate a ResourceMissingException providing the URI of the missing resource, a description of the missing resource, and a message.

  Parameters:
    `resourceURI` - URI of the missing resource
    `resourceDescription` - description of the missing resource
    `msg` - message about the error condition

### ResourceMissingException

    public ResourceMissingException(java.lang.String resourceURI,
                                    java.lang.String resourceDescription,
                                    java.lang.Throwable cause)

  Instantiate a ResourceMissingException providing the URI of the missing resource, a description of the missing resource, and a cause.

  Parameters:
    `resourceURI` - URI of the missing resource
    `resourceDescription` - description of the missing resource
    `cause` - the cause of the error condition

### ResourceMissingException

    public ResourceMissingException(java.lang.String resourceURI,
                                    java.lang.String resourceDescription,
                                    java.lang.String msg,
                                    boolean refresh,
                                    boolean reinstantiate)

  Instantiate a ResourceMissingException providing a URI of the missing resource, a description of the missing resource, a message, and indicating whether channel refresh and channel reinstantiation are appropriate responses to the error condition.

  Parameters:
    `resourceURI` - URI of the missing resource
    `resourceDescription` - description of the missing resource
    `msg` - message about the error condition
    `refresh` - true if refreshing is an appropriate response
    `reinstantiate` - true if reinstantiation is an appropriate response

### ResourceMissingException

    public ResourceMissingException()

  Deprecated. use a more informative constructor

  Instantiate a bare MissingResourceException.

### ResourceMissingException

    public ResourceMissingException(java.lang.String resourceUri,
                                    java.lang.String description,
                                    java.lang.String message,
                                    java.lang.Throwable cause)

  Instantiate a ResourceMissingException providing the URI of the missing resource, a description of the missing resource, a message, and an underlying cause.

  Parameters:
    `resourceUri` - URI of the missing resource
    `description` - description of the missing resource
    `message` - message about the error condition
    `cause` - underlying cause of this problem

Method Detail

### getResourceURI

    public java.lang.String getResourceURI()

  Get the URI of the missing resource.

  Returns:
    the URI of the missing resource, or null if not specified.

### getResourceDescription

    public java.lang.String getResourceDescription()

  Get a description of the missing resource.

  Returns:
    a description of the missing resource, or null if not specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD